const express = require("express");
const app = express();
const bodyParser = require("body-parser");
const cors = require("cors");
const cloudinary = require('cloudinary').v2;
// const mongoose = require("mongoose"); // Import mongoose


const Router = require("./routes/Route");
app.use(cors());
app.use(bodyParser.json());
app.use(express.json());

// Cloudinary Configuration
cloudinary.config({
    cloud_name: 'driveuyen',
    api_key: '536899265476927',
    api_secret: 'CWGa7gyND43MlDb6M78iHTktiWQ',
});


require("dotenv").config();

app.use("/api", Router);






// MongoDB connection

const dbconnect = require("./config/dbconnect");
dbconnect();

// Define route to fetch GraphQL data

const PORT = process.env.PORT || 3000;
app.listen(PORT, () => console.log(`Server running on port ${PORT}`));
